# Interface HrefOptions

An options object for [[StateService.href]]

interface HrefOptions {
absolute?: boolean;
inherit?: boolean;
lossy?: boolean;
relative?: StateOrName;
}

- Defined in src/router/state/interface.ts:977

##### Index

### Properties

absolute?
inherit?
lossy?
relative?

## Properties

### `Optional` absolute

absolute?: boolean

If true will generate an absolute url, e.g. `http://www.example.com/fullurl`.

- Defined in src/router/state/interface.ts:1000

### `Optional` inherit

inherit?: boolean

If `true` will inherit parameters from the current parameter values.

- Defined in src/router/state/interface.ts:995

### `Optional` lossy

lossy?: boolean

If true, and if there is no url associated with the state provided in the first parameter, then the constructed href url will be built from the first ancestor which has a url.

- Defined in src/router/state/interface.ts:990

### `Optional` relative

relative?: StateOrName

Defines what state to be "relative from"

When a relative path is found (e.g `^` or `.bar`), defines which state to be relative from.

- Defined in src/router/state/interface.ts:983